[PATCH] Constify COM_CheckExtension

diff -urN b/NQ/common.c head/NQ/common.c
--- b/NQ/common.c	2006-02-07 19:34:33.000000000 +1030
+++ head/NQ/common.c	2006-02-07 21:08:58.000000000 +1030
@@ -783,7 +783,7 @@
 }
 
 int
-COM_CheckExtension(char *path, char *extn)
+COM_CheckExtension(const char *path, const char *extn)
 {
     char *pos;
     int ret = 0;
diff -urN b/NQ/common.h head/NQ/common.h
--- b/NQ/common.h	2006-01-22 11:22:13.000000000 +1030
+++ head/NQ/common.h	2006-02-07 20:42:33.000000000 +1030
@@ -142,7 +142,7 @@
 void COM_StripExtension(char *in, char *out);
 void COM_FileBase(const char *in, char *out);
 void COM_DefaultExtension(char *path, char *extension);
-int COM_CheckExtension(char *path, char *extn);
+int COM_CheckExtension(const char *path, const char *extn);
 
 char *va(char *format, ...);
 
diff -urN b/QW/client/common.h head/QW/client/common.h
--- b/QW/client/common.h	2006-01-22 11:22:13.000000000 +1030
+++ head/QW/client/common.h	2006-02-08 17:47:59.000000000 +1030
@@ -158,7 +158,7 @@
 void COM_StripExtension(const char *in, char *out);
 void COM_FileBase(const char *in, char *out);
 void COM_DefaultExtension(char *path, const char *extension);
-int COM_CheckExtension(char *path, char *extn);
+int COM_CheckExtension(const char *path, const char *extn);
 
 char *va(char *format, ...);
 
diff -urN b/QW/common/common.c head/QW/common/common.c
--- b/QW/common/common.c	2006-02-07 19:18:27.000000000 +1030
+++ head/QW/common/common.c	2006-02-08 17:47:31.000000000 +1030
@@ -890,7 +890,7 @@
 }
 
 int
-COM_CheckExtension(char *path, char *extn)
+COM_CheckExtension(const char *path, const char *extn)
 {
     char *pos;
     int ret = 0;
